/*--------------------- Copyright (c) 2024 -----------------------
[Master Javascript]
-------------------------------------------------------------------*/
(function ($) {
    "use strict";
    var Voxii = {
      initialised: false,
      version: 1.0,
      mobile: false,
      init: function () {
        if (!this.initialised) {
          this.initialised = true;
        } else {
          return;
        }
        this.loader();
        this.toggle();
        this.stickyheader();
        this.bannerSlider();
        this.BestSellerSlider();
        this.TrendingSlider();
        this.CustomerPicksSlider();
        this.RisingStarsSlider();
        this.VoxiiExclusiveSlider();
        this.NewArrivalSlider();
        this.FreeOfferSlider();
        this.Quantity();
        this.Action();
        this.FilterDropedown();
        // this.CardNumber();
        this.HederSubMenu();
      },
  
      // 





      HederSubMenu: function () {
        $(".vx-signIn-section a").on('click', function (e) {
          e.stopPropagation();
          $("body").toggleClass("vx-headerMenuOpen");
        });

        
      },


      // card Number
      // CardNumber : function(){
       
        
      // },
      // filter dropedown
      FilterDropedown: function () {
        $(".vx-filter").on('click', function (e) {
          e.stopPropagation();
          $("body").toggleClass("filterDropedown-open");
        });
      },
      // loader           
      loader: function () {
        jQuery(window).on('load', function () {
          $(".fl-loader").fadeOut();
          $(".fl-spinner").delay(500).fadeOut("slow");
        });
      },
      // action
      Action: function () {
        $('.vx-action p').click(function(e) {
          $(this).siblings('ul.vx-action-submenu ').toggleClass('vx-action-subemnu-open');
          $('ul.vx-action-submenu ').not($(this).siblings()).removeClass('vx-action-subemnu-open');
          e.stopPropagation();
        });
      $('body').click(function() {
        $('ul.vx-action-submenu').removeClass('vx-action-subemnu-open');
      });
      },
      //Toggle
      toggle: function () {
        $(".vx-toggle-btn").on('click', function (e) {
          e.stopPropagation();
          $("body").toggleClass("menu-open");
        });
      },
  
       //sticky header
       stickyheader: function () {
        $(window).scroll(function() {
          var wh = window.innerWidth;
          if (wh > 767) {
              var h = window.innerHeight;
              var window_top = $(window).scrollTop() + 1;
              if (window_top > 100) {
                  $('.fl-header-section').addClass('fl-header-fixed');
              } else {
                  $('.fl-header-section').removeClass('fl-header-fixed');
              }
          }
      });
      },
      // banner slider
      bannerSlider: function () {
        var swiper = new Swiper(".vx-banner-slider", {
          slidesPerView: 1,
          spaceBetween: 30,
          // autoplay: true,
          navigation: {
            nextEl: '.vx-bannerSlider-wrap .swiper-button-next',
            prevEl: '.vx-bannerSlider-wrap .swiper-button-prev',
          },
          breakpoints: {
            1080: {
              slidesPerView: 1,
              spaceBetween:30
            },
            991: {
              slidesPerView: 1,
              spaceBetween:30
            },
            775: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            580: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            480: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            380: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            320: {
              slidesPerView: 1,
              spaceBetween: 30
            },
          }
  
        });
  
      },
      // best seller slider
      BestSellerSlider: function () {
        var swiper = new Swiper(".vx-bestSeller-slider", {
          slidesPerView: 4,
          spaceBetween: 30,
          // autoplay: true,
          navigation: {
            nextEl: '.vx-bestSeller-wrapper .swiper-button-next',
            prevEl: '.vx-bestSeller-wrapper .swiper-button-prev',
          },
          breakpoints: {
            1080: {
              slidesPerView: 4,
              spaceBetween:30
            },
            991: {
              slidesPerView: 3,
              spaceBetween:30
            },
            767: {
              slidesPerView:2,
              spaceBetween: 30
            },
            580: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            480: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            380: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            320: {
              slidesPerView: 1,
              spaceBetween: 30
            },
          }
  
        });
  
      },
      TrendingSlider: function () {
        var swiper = new Swiper(".vx-trending-slider", {
          slidesPerView: 4,
          spaceBetween: 30,
          // autoplay: true,
          navigation: {
            nextEl: '.vx-trending-wrapper .swiper-button-next',
            prevEl: '.vx-trending-wrapper .swiper-button-prev',
          },
          breakpoints: {
            1080: {
              slidesPerView: 4,
              spaceBetween:30
            },
            991: {
              slidesPerView: 3,
              spaceBetween:30
            },
            767: {
              slidesPerView:2,
              spaceBetween: 30
            },
            580: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            480: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            380: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            320: {
              slidesPerView: 1,
              spaceBetween: 30
            },
          }
  
        });
  
      },
      CustomerPicksSlider: function () {
        var swiper = new Swiper(".vx-customerPicks-slider", {
          slidesPerView: 4,
          spaceBetween: 30,
          // autoplay: true,
          navigation: {
            nextEl: '.vx-customerPicks-wrapper .swiper-button-next',
            prevEl: '.vx-customerPicks-wrapper .swiper-button-prev',
          },
          breakpoints: {
            1080: {
              slidesPerView: 4,
              spaceBetween:30
            },
            991: {
              slidesPerView: 3,
              spaceBetween:30
            },
            767: {
              slidesPerView:2,
              spaceBetween: 30
            },
            580: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            480: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            380: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            320: {
              slidesPerView: 1,
              spaceBetween: 30
            },
          }
      
        });
      
      },
      RisingStarsSlider: function () {
        var swiper = new Swiper(".vx-risingStar-slider", {
          slidesPerView: 4,
          spaceBetween: 30,
          // autoplay: true,
          navigation: {
            nextEl: '.vx-risingStars-wrapper .swiper-button-next',
            prevEl: '.vx-risingStars-wrapper .swiper-button-prev',
          },
          breakpoints: {
            1080: {
              slidesPerView: 4,
              spaceBetween:30
            },
            991: {
              slidesPerView: 3,
              spaceBetween:30
            },
            767: {
              slidesPerView:2,
              spaceBetween: 30
            },
            580: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            480: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            380: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            320: {
              slidesPerView: 1,
              spaceBetween: 30
            },
          }
      
        });
      
      },
      VoxiiExclusiveSlider: function () {
        var swiper = new Swiper(".vx-voxiiExclusive-slider", {
          slidesPerView: 4,
          spaceBetween: 30,
          // autoplay: true,
          navigation: {
            nextEl: '.vx-voxiiExclusive-wrapper .swiper-button-next',
            prevEl: '.vx-voxiiExclusive-wrapper .swiper-button-prev',
          },
          breakpoints: {
            1080: {
              slidesPerView: 4,
              spaceBetween:30
            },
            991: {
              slidesPerView: 3,
              spaceBetween:30
            },
            767: {
              slidesPerView:2,
              spaceBetween: 30
            },
            580: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            480: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            380: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            320: {
              slidesPerView: 1,
              spaceBetween: 30
            },
          }
      
        });
      
      },
      NewArrivalSlider: function () {
        var swiper = new Swiper(".vx-newArrival-slider", {
          slidesPerView: 4,
          spaceBetween: 30,
          // autoplay: true,
          navigation: {
            nextEl: '.vx-newArrival-wrapper .swiper-button-next',
            prevEl: '.vx-newArrival-wrapper .swiper-button-prev',
          },
          breakpoints: {
            1080: {
              slidesPerView: 4,
              spaceBetween:30
            },
            991: {
              slidesPerView: 3,
              spaceBetween:30
            },
            767: {
              slidesPerView:2,
              spaceBetween: 30
            },
            580: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            480: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            380: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            320: {
              slidesPerView: 1,
              spaceBetween: 30
            },
          }
      
        });
      
      },
      FreeOfferSlider: function () {
        var swiper = new Swiper(".vx-freeOffer-slider", {
          slidesPerView: 4,
          spaceBetween: 30,
          // autoplay: true,
          navigation: {
            nextEl: '.vx-freeOffer-wrapper .swiper-button-next',
            prevEl: '.vx-freeOffer-wrapper .swiper-button-prev',
          },
          breakpoints: {
            1080: {
              slidesPerView: 4,
              spaceBetween:30
            },
            991: {
              slidesPerView: 3,
              spaceBetween:30
            },
            767: {
              slidesPerView:2,
              spaceBetween: 30
            },
            580: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            480: {
              slidesPerView: 2,
              spaceBetween: 30
            },
            380: {
              slidesPerView: 1,
              spaceBetween: 30
            },
            320: {
              slidesPerView: 1,
              spaceBetween: 30
            },
          }
      
        });
      },
      // quantity
      Quantity: function () {
        $('.add').click(function () {		
          var th = $(this).closest('.wrap').find('.count');    	
          th.val(+th.val() + 1);
        });
        $('.sub').click(function () {
          var th = $(this).closest('.wrap').find('.count');    	
              if (th.val() > 1) th.val(+th.val() - 1);
        });
      },

  };
    Voxii.init();}
    (jQuery));

  
  
  
  
  
  
    var app;

    (function () {
      "use strict";
    
      app = {
        monthAndSlashRegex: /^\d\d \/ $/, // regex to match "MM / "
        monthRegex: /^\d\d$/, // regex to match "MM"
    
        el_cardNumber: ".ccFormatMonitor",
        el_expDate: "#inputExpDate",
        el_cvv: ".cvv",
        el_ccUnknown: "cc_type_unknown",
        el_ccTypePrefix: "cc_type_",
        el_monthSelect: "#monthSelect",
        el_yearSelect: "#yearSelect",
    
        cardTypes: {
          "American Express": {
            name: "American Express",
            code: "ax",
            security: 4,
            pattern: /^3[47]/,
            valid_length: [15],
            formats: {
              length: 15,
              format: "xxxx xxxxxxx xxxx"
            }
          },
          Visa: {
            name: "Visa",
            code: "vs",
            security: 3,
            pattern: /^4/,
            valid_length: [16],
            formats: {
              length: 16,
              format: "xxxx xxxx xxxx xxxx"
            }
          },
          Maestro: {
            name: "Maestro",
            code: "ma",
            security: 3,
            pattern: /^(50(18|20|38)|5612|5893|63(04|90)|67(59|6[1-3])|0604)/,
            valid_length: [16],
            formats: {
              length: 16,
              format: "xxxx xxxx xxxx xxxx"
            }
          },
          Mastercard: {
            name: "Mastercard",
            code: "mc",
            security: 3,
            pattern: /^5[1-5]/,
            valid_length: [16],
            formats: {
              length: 16,
              format: "xxxx xxxx xxxx xxxx"
            }
          }
        }
      };
    
      app.addListeners = function () {
        $(app.el_expDate).on("keydown", function (e) {
          app.removeSlash(e);
        });
    
        $(app.el_expDate).on("keyup", function (e) {
          app.addSlash(e);
        });
    
        $(app.el_expDate).on("blur", function (e) {
          app.populateDate(e);
        });
    
        $(app.el_cvv + ", " + app.el_expDate).on("keypress", function (e) {
          return e.charCode >= 48 && e.charCode <= 57;
        });
      };
    
      app.addSlash = function (e) {
        var isMonthEntered = app.monthRegex.exec(e.target.value);
        if (e.key >= 0 && e.key <= 9 && isMonthEntered) {
          e.target.value = e.target.value + " / ";
        }
      };
    
      app.removeSlash = function (e) {
        var isMonthAndSlashEntered = app.monthAndSlashRegex.exec(e.target.value);
        if (isMonthAndSlashEntered && e.key === "Backspace") {
          e.target.value = e.target.value.slice(0, -3);
        }
      };
    
      app.populateDate = function (e) {
        var month, year;
    
        if (e.target.value.length == 7) {
          month = parseInt(e.target.value.slice(0, -5));
          year = "20" + e.target.value.slice(5);
    
          if (app.checkMonth(month)) {
            $(app.el_monthSelect).val(month);
          } else {
            $(app.el_monthSelect).val(0);
          }
    
          if (app.checkYear(year)) {
            $(app.el_yearSelect).val(year);
          } else {
            $(app.el_yearSelect).val(0);
          }
        }
      };
    
      app.checkMonth = function (month) {
        if (month <= 12) {
          var monthSelectOptions = app.getSelectOptions($(app.el_monthSelect));
          month = month.toString();
          if (monthSelectOptions.includes(month)) {
            return true;
          }
        }
      };
    
      app.checkYear = function (year) {
        var yearSelectOptions = app.getSelectOptions($(app.el_yearSelect));
        if (yearSelectOptions.includes(year)) {
          return true;
        }
      };
    
      app.getSelectOptions = function (select) {
        var options = select.find("option");
        var optionValues = [];
        for (var i = 0; i < options.length; i++) {
          optionValues[i] = options[i].value;
        }
        return optionValues;
      };
    
      app.setMaxLength = function ($elem, length) {
        if ($elem.length && app.isInteger(length)) {
          $elem.attr("maxlength", length);
        } else if ($elem.length) {
          $elem.attr("maxlength", "");
        }
      };
    
      app.isInteger = function (x) {
        return typeof x === "number" && x % 1 === 0;
      };
    
      app.createExpDateField = function () {
        $(app.el_monthSelect + ", " + app.el_yearSelect).hide();
        $(app.el_monthSelect)
          .parent()
          .prepend('<input type="text" class="ccFormatMonitor">');
      };
    
      app.isValidLength = function (cc_num, card_type) {
        for (var i in card_type.valid_length) {
          if (cc_num.length <= card_type.valid_length[i]) {
            return true;
          }
        }
        return false;
      };
    
      app.getCardType = function (cc_num) {
        for (var i in app.cardTypes) {
          var card_type = app.cardTypes[i];
          if (
            cc_num.match(card_type.pattern) &&
            app.isValidLength(cc_num, card_type)
          ) {
            return card_type;
          }
        }
      };
    
      app.getCardFormatString = function (cc_num, card_type) {
        for (var i in card_type.formats) {
          var format = card_type.formats[i];
          if (cc_num.length <= format.length) {
            return format;
          }
        }
      };
    
      app.formatCardNumber = function (cc_num, card_type) {
        var numAppendedChars = 0;
        var formattedNumber = "";
        var cardFormatIndex = "";
    
        if (!card_type) {
          return cc_num;
        }
    
        var cardFormatString = app.getCardFormatString(cc_num, card_type);
        for (var i = 0; i < cc_num.length; i++) {
          cardFormatIndex = i + numAppendedChars;
          if (!cardFormatString || cardFormatIndex >= cardFormatString.length) {
            return cc_num;
          }
    
          if (cardFormatString.charAt(cardFormatIndex) !== "x") {
            numAppendedChars++;
            formattedNumber +=
              cardFormatString.charAt(cardFormatIndex) + cc_num.charAt(i);
          } else {
            formattedNumber += cc_num.charAt(i);
          }
        }
    
        return formattedNumber;
      };
    
      app.monitorCcFormat = function ($elem) {
        var cc_num = $elem.val().replace(/\D/g, "");
        var card_type = app.getCardType(cc_num);
        $elem.val(app.formatCardNumber(cc_num, card_type));
        app.addCardClassIdentifier($elem, card_type);
      };
    
      app.addCardClassIdentifier = function ($elem, card_type) {
        var classIdentifier = app.el_ccUnknown;
        if (card_type) {
          classIdentifier = app.el_ccTypePrefix + card_type.code;
          app.setMaxLength($(app.el_cvv), card_type.security);
        } else {
          app.setMaxLength($(app.el_cvv));
        }
    
        if (!$elem.hasClass(classIdentifier)) {
          var classes = "";
          for (var i in app.cardTypes) {
            classes += app.el_ccTypePrefix + app.cardTypes[i].code + " ";
          }
          $elem.removeClass(classes + app.el_ccUnknown);
          $elem.addClass(classIdentifier);
        }
      };
    
      app.init = (function () {
        $(document)
          .find(app.el_cardNumber)
          .each(function () {
            var $elem = $(this);
            if ($elem.is("input")) {
              $elem.on("input", function () {
                app.monitorCcFormat($elem);
              });
            }
          });
    
        app.addListeners();
      })();
    })();
    






    // card number js

    